Name:           isync
Version:        1.4.4
Release:    1%{?dist}
Summary:        Tool to synchronize IMAP4 and Maildir mailboxes

License:        GPLv2+
URL:            http://isync.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz.asc
Source2:        https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x63bfd037cad71e8dff3aea3ac17714f08d1bdbba#./%{name}.keyring
Patch0:         0001-work-around-unexpected-EOF-error-messages.patch

BuildRequires:  perl
BuildRequires:  libdb-devel
BuildRequires:  openssl-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  make
BuildRequires:  gnupg2

Requires:       cyrus-sasl

%description
mbsync is a command line application which synchronizes mailboxes. Currently
Maildir and IMAP4 mailboxes are supported. New messages, message deletions
and flag changes can be propagated both ways. mbsync is suitable for use in
IMAP-disconnected mode.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1
for file in ChangeLog; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done

%build
%configure
%make_build

%install
%make_install
rm -r %{buildroot}%{_defaultdocdir}

%files
%doc AUTHORS NEWS README TODO ChangeLog src/mbsyncrc.sample
%license COPYING
%{_bindir}/mbsync
%{_bindir}/mdconvert
%{_bindir}/mbsync-get-cert
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-1
- initial build
